package com.nantian.cloud.ggjg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.ggjg.entity.Mlk;
import com.nantian.cloud.ggjg.entity.Quota;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface QuotaService extends IService<Quota> {
    //统计表
    List<Map<String, Object>> queryList(@Param("map") Map para);

    //统计表
    List<Map<String, Object>> getQuotaTjb(@Param("map") Map para);

    //分区域、机构类型获取超额数据
    List<Map<String, Object>> getOverstretch(Quota quota);
}
